import { findUserModulePaths } from './findUserModulePaths.js';
import { userDepsLazyTemplate } from './userDepsLazyTemplate.js';
import { userDepsTemplate } from './userDepsTemplate.js';
export function generateUserDepsModule({ cosmosConfig, rendererConfig, relativeToDir, }) {
    const { rootDir, fixturesDir, fixtureFileSuffix, globalImports, ignore } = cosmosConfig;
    const { fixturePaths, decoratorPaths } = findUserModulePaths({
        rootDir,
        fixturesDir,
        fixtureFileSuffix,
        ignore,
    });
    const template = cosmosConfig.lazy ? userDepsLazyTemplate : userDepsTemplate;
    return template({
        globalImports,
        fixturePaths,
        decoratorPaths,
        rendererConfig,
        rootDir,
        relativeToDir,
    });
}
